GDCM: gdcm::FileDerivation Class Reference

GDCM 3.2.10

Public Member Functions | Protected Member Functions | List of all members
gdcm::FileDerivation Class Reference

FileDerivation class. More...

`#include <gdcmFileDerivation.h>`

## Public Member Functions
| FileDerivation ()
| ~FileDerivation ()
bool | AddReference (const char *referencedsopclassuid, const char *referencedsopinstanceuid)
bool | Derive ()
| Change.
File & | GetFile ()
const File & | GetFile () const
void | SetAppendDerivationHistory (bool b)
void | SetDerivationCodeSequenceCodeValue (unsigned int codevalue)
| Specify the Derivation Code Sequence Code Value. Eg 113040.
void | SetDerivationDescription (const char *dd)
| Specify the Derivation Description. Eg "lossy conversion".
void | SetFile (const File &f)
| Set/Get File.
void | SetPurposeOfReferenceCodeSequenceCodeValue (unsigned int codevalue)
| Specify the Purpose Of Reference Code Value. Eg. 121320.

## Protected Member Functions
bool | AddDerivationDescription ()
bool | AddPurposeOfReferenceCodeSequence (DataSet &ds)
bool | AddSourceImageSequence ()

## Detailed Description

FileDerivation class.

See PS 3.16 - 2008 For the list of Code Value that can be used for in Derivation Code Sequence

URL: http://medical.nema.org/medical/dicom/2008/08_16pu.pdf

DICOM Part 16 has two Context Groups CID 7202 and CID 7203 which contain a set of codes defining reason for a source image reference (ie. reason code for referenced image sequence) and a coded description of the deriation applied to the new image data from the original. Both these context groups are extensible.

File Derivation is compulsory when creating a lossy derived image.

Examples
  DeriveSeries.cxx, GenFakeImage.cxx, and ReformatFile.cs.

## Constructor & Destructor Documentation

## ◆ FileDerivation()

gdcm::FileDerivation::FileDerivation | ( |  | ) |

## ◆ ~FileDerivation()

gdcm::FileDerivation::~FileDerivation | ( |  | ) |

## Member Function Documentation

## ◆ AddDerivationDescription()

bool gdcm::FileDerivation::AddDerivationDescription | ( |  | ) |
| protected

## ◆ AddPurposeOfReferenceCodeSequence()

bool gdcm::FileDerivation::AddPurposeOfReferenceCodeSequence | ( | DataSet & | ds | ) |
| protected

## ◆ AddReference()

bool gdcm::FileDerivation::AddReference | ( | const char * | referencedsopclassuid,
|  | const char * | referencedsopinstanceuid )

Create the proper reference. Need to pass the original SOP Class UID and the original SOP Instance UID, so that those value can be used as Reference.

Warning
  referencedsopclassuid and referencedsopinstanceuid needs to be \0 padded. This is not compatible with how ByteValue->GetPointer works.

Examples
  DeriveSeries.cxx, GenFakeImage.cxx, and ReformatFile.cs.

## ◆ AddSourceImageSequence()

bool gdcm::FileDerivation::AddSourceImageSequence | ( |  | ) |
| protected

## ◆ Derive()

bool gdcm::FileDerivation::Derive | ( |  | ) |

Change.

Examples
  DeriveSeries.cxx, GenFakeImage.cxx, and ReformatFile.cs.

## ◆ GetFile() [1/2]

File & gdcm::FileDerivation::GetFile | ( |  | ) |
| inline

Examples
  GenFakeImage.cxx, and ReformatFile.cs.

## ◆ GetFile() [2/2]

const File & gdcm::FileDerivation::GetFile | ( |  | ) | const
| inline

## ◆ SetAppendDerivationHistory()

void gdcm::FileDerivation::SetAppendDerivationHistory | ( | bool | b | ) |

Specify if Derivation history should be appended (default false) When false, this is an error if input already has a derivation history When true, both Purpose of Reference Code Value and Derivation Code Sequence Code Value can have their history appended.

## ◆ SetDerivationCodeSequenceCodeValue()

void gdcm::FileDerivation::SetDerivationCodeSequenceCodeValue | ( | unsigned int | codevalue | ) |

Specify the Derivation Code Sequence Code Value. Eg 113040.

Examples
  DeriveSeries.cxx, GenFakeImage.cxx, and ReformatFile.cs.

## ◆ SetDerivationDescription()

void gdcm::FileDerivation::SetDerivationDescription | ( | const char * | dd | ) |

Specify the Derivation Description. Eg "lossy conversion".

## ◆ SetFile()

void gdcm::FileDerivation::SetFile | ( | const File & | f | ) |
| inline

Set/Get File.

Examples
  DeriveSeries.cxx, GenFakeImage.cxx, and ReformatFile.cs.

## ◆ SetPurposeOfReferenceCodeSequenceCodeValue()

void gdcm::FileDerivation::SetPurposeOfReferenceCodeSequenceCodeValue | ( | unsigned int | codevalue | ) |

Specify the Purpose Of Reference Code Value. Eg. 121320.

Examples
  DeriveSeries.cxx, GenFakeImage.cxx, and ReformatFile.cs.

The documentation for this class was generated from the following file:

- gdcmFileDerivation.h